SWF(3)

NAME
SWF - an autoloadable interface module for Ming - a library for generating ShockWave Flash format movies.

SYNOPSIS
        # Don't import other modules
        use SWF;

        # import all SWF modules
        use SWF qw(:ALL);

        # import SWF::Shape and SWF::Movie only.
        use SWF qw(Shape Movie);

DESCRIPTION
By default, SWF doesn't import other SWF classes. You may, however, instruct SWF to import all modules by using the following syntax:

        use SWF qw(:ALL);

METHODS

SWF::setScale($scale);
    Sets scale to $scale.

SWF::getScale();
    Get the current scale. 20 means 20 twips (1/20 of a pixel) and is the default value.

SWF::setVersion($version);
    Sets SWF version for the header of flashfiles. Choose a value between 4 and 7 for your flashmovies. If you are unsure take 5.

SWF::setCubicThreshold($num)
    Sets the threshold error for drawing cubic beziers. Lower is more accurate, hence larger file size.

SWF::setSWFCompression($level);
    Set output compression level. Returns previous value. $level is integer between 0 and 9. Note: This function is called automatic too by
        $movie->save($filename[,$level]) and
        $movie->output([$level]) if the optional parameter $level is given.

SWF::useConstants($flags);
    ?

AUTHOR
Soheil Seyfaie (soheil at users.sourceforge.net).

SEE ALSO
SWF.pm related modules: SWF::Action, SWF::Bitmap, SWF::Button, SWF::Constants, SWF::DisplayItem, SWF::Fill, SWF::Font, SWF::Gradient, SWF::Morph, SWF::Movie, SWF::MovieClip, SWF::PrebuiltClip, SWF::Shape, SWF::Sound, SWF::TextField, SWF::Text, SWF::VideoStream, SWF::Sprite

other projects: SWF::Builder - a pure perl alternative to Ming